Bug 1288598 - SELinux is preventing plugin-containe from using the 'dac_override' capabilities.
SELinux is preventing plugin-containe from using the 'dac_override' capabilit...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:6e59ccd713f8ee2f9c3787438f3...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-04 12:08 EST by L. J. Casasola
Modified: 2016-02-18 08:02 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-07 04:46:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description L. J. Casasola 2015-12-04 12:08:31 EST
Description of problem:
SELinux is preventing plugin-containe from using the 'dac_override' capabilities.

*****  Plugin mozplugger (87.7 confidence) suggests   ************************

If quiere usar el paquete plugin
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0

*****  Plugin dac_override (12.1 confidence) suggests   **********************

If quiere ayudar a comprobar si el dominio necesita este acceso o si tiene un archivo con permisos erróneos en el sistema
Then activa auditoría completa para obtener información de la ruta relacionada con el archivo conflictivo, y generar el error nuevamente.
Do

Active auditoría completa
# auditctl -w /etc/shadow -p w
Intente recrear el AVC. Luego ejecute
# ausearch -m avc -ts recent
Si observa un registro PATH verifique permisos y pertenencia del archivo, y solucionelo, 
de lo contrario, repórtelo en bugzilla.

*****  Plugin catchall (1.66 confidence) suggests   **************************

If cree que plugin-containe debería tener la capacidad de dac_override de forma predeterminada.
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep plugin-containe /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Context                unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c
                              0.c1023
Target Objects                Unknown [ capability ]
Source                        plugin-containe
Source Path                   plugin-containe
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-155.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 4.2.6-301.fc23.i686 #1 SMP Fri Nov
                              20 22:59:29 UTC 2015 i686 i686
Alert Count                   19730
First Seen                    2015-11-28 21:59:19 CST
Last Seen                     2015-12-04 10:57:50 CST
Local ID                      dfa57167-0ee9-4518-91ab-53ae93671955

Raw Audit Messages
type=AVC msg=audit(1449248270.785:668): avc:  denied  { dac_override } for  pid=3006 comm="plugin-containe" capability=1  scontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:mozilla_plugin_t:s0-s0:c0.c1023 tclass=capability permissive=0


Hash: plugin-containe,mozilla_plugin_t,mozilla_plugin_t,capability,dac_override

Version-Release number of selected component:
selinux-policy-3.13.1-155.fc23.noarch

Additional info:
reporter:       libreport-2.6.3
hashmarkername: setroubleshoot
kernel:         4.2.6-301.fc23.i686
type:           libreport

Potential duplicate: bug 744318
Comment 1 Lukas Vrabec 2015-12-07 04:46:15 EST
*****  Plugin mozplugger (87.7 confidence) suggests   ************************

If quiere usar el paquete plugin
Then debe deshabilitar los controles de SELinux en los complementos de Firefox.
Do
# setsebool -P unconfined_mozilla_plugin_transition 0
Comment 2 aropsaid1883 2016-02-18 08:02:03 EST
Description of problem:
I don't know, it was just a simple SElinux alert at start-up:
Linux fednik 4.3.5-300.fc23.x86_64 #1 SMP Mon Feb 1 03:18:41 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

Version-Release number of selected component:
selinux-policy-3.13.1-158.fc23.noarch

Additional info:
reporter:       libreport-2.6.4
hashmarkername: setroubleshoot
kernel:         4.3.5-300.fc23.x86_64
type:           libreport

Note You need to log in before you can comment on or make changes to this bug.